<?php
/**
 * 2007-2022 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2022 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */
class AddifyregistrationfieldsModel extends ObjectModel
{
    public $id;
    public $rule_active;
    public $title;
    public $priority;
    public $max_size;
    public $dependent_field;
    public $field_type;
    public $file_type;
    public $field_validation;
    public $field_name;
    public $field_label;
    public $short_description;
    public $place_holder;
    public $field_heading;
    public $options;
    public $values_req;
    public $users_to_edit;
    public $display_msg;
    public $enable_dependent_field;
    public $dependent_value;
    public $date_add;
    public $date_update;
    public $sort_order;
    public static $definition = array(
        'table' => 'addifyregistrationfields',
        'primary' => 'id',
        'multilang' => false,
        'fields' => array(
            'title' => array('type' => self::TYPE_HTML),
            'rule_active' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'priority' => array('type' => self::TYPE_INT),
            'sort_order' => array('type' => self::TYPE_INT),
            'max_size' => array('type' => self::TYPE_HTML),
            'dependent_field' => array('type' => self::TYPE_HTML),
            'field_type' => array('type' => self::TYPE_HTML),
            'file_type' => array('type' => self::TYPE_HTML),
            'field_validation' => array('type' => self::TYPE_HTML),
            'field_name' => array('type' => self::TYPE_HTML),
            'field_label' => array('type' => self::TYPE_HTML),
            'short_description' => array('type' => self::TYPE_HTML),
            'place_holder' => array('type' => self::TYPE_HTML),
            'field_heading' => array('type' => self::TYPE_HTML),
            'options' => array('type' => self::TYPE_HTML),
            'values_req' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'users_to_edit' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'display_msg' => array('type' => self::TYPE_HTML),
            'enable_dependent_field' => array('type' => self::TYPE_HTML),
            'dependent_value' => array('type' => self::TYPE_HTML),
            'date_add' => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),
            'date_update' => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),
        )
    );
    public static function getPosts()
    {
        return Db::getInstance()->executeS('
			SELECT *
			FROM `' . _DB_PREFIX_ . 'addifyregistrationfields`');
    }
    public static function getRulesForFields()
    {
        return Db::getInstance()->executeS('
            SELECT *
            FROM `' . _DB_PREFIX_ . 'addifyregistrationfields` WHERE rule_active = 1');
    }
    public static function getRuleById($rule_id)
    {
        return Db::getInstance()->executeS('
            SELECT *
            FROM `' . _DB_PREFIX_ . 'addifyregistrationfields` WHERE id = ' . (int) $rule_id);
    }
    public static function getRules()
    {
        $results = Db::getInstance()->executeS('
            SELECT *
            FROM `' . _DB_PREFIX_ . 'addifyregistrationfields` WHERE rule_active = 1 ORDER BY priority ASC');
        if ($results) {
            return $results;
        }
    }
    public static function setRequiredStatus($status, $id)
    {
        if (!$id || empty($status)) {
            return false;
        }
        return (bool) Db::getInstance()->execute('UPDATE ' . _DB_PREFIX_ . self::$definition['table'] . '
            SET `' . pSQL($status) . '` = !' . pSQL($status) . '
            WHERE id = ' . (int) $id);
    }
    public static function setStatus($status, $id)
    {
        if (!$id || empty($status)) {
            return false;
        }
        return (bool) Db::getInstance()->execute('UPDATE ' . _DB_PREFIX_ . self::$definition['table'] . '
            SET `' . pSQL($status) . '` = !' . pSQL($status) . '
            WHERE id = ' . (int) $id);
    }
}