<?php
/**
 * 2007-2022 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2022 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */
class AddifyregistrationfieldsdataModel extends ObjectModel
{
    public $id_data;
    public $id_customer;
    public $id_rule;
    public $id_field;
    public $field_label;
    public $field_type;
    public $field_name;
    public $field_options;
    public $field_value;
    public $enable_dependent_field;
    public $dependent_field;
    public $dependent_value;
    public $data__for_options;
    /**
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table' => 'addifyregistrationfieldsdata',
        'primary' => 'id_data',
        'fields' => array(
            'id_customer' => array('type' => self::TYPE_HTML),
            'id_rule' => array('type' => self::TYPE_HTML),
            'id_field' => array('type' => self::TYPE_HTML),
            'field_label' => array('type' => self::TYPE_HTML),
            'field_type' => array('type' => self::TYPE_HTML),
            'field_name' => array('type' => self::TYPE_HTML),
            'field_options' => array('type' => self::TYPE_HTML),
            'data__for_options' => array('type' => self::TYPE_HTML),
            'field_value' => array('type' => self::TYPE_HTML),
            'enable_dependent_field' => array('type' => self::TYPE_HTML),
            'dependent_field' => array('type' => self::TYPE_HTML),
            'dependent_value' => array('type' => self::TYPE_HTML),
        )
    );
    public static function checkData($id_customer, $id_field, $id_rule)
    {
        return Db::getInstance()->executeS('SELECT *
        FROM ' . _DB_PREFIX_ . 'addifyregistrationfieldsdata
        WHERE `id_customer`=' . (int) $id_customer . ' AND    
            `id_field`="' . pSQL($id_field) . '" AND
            `id_rule`=' . (int) $id_rule);
    }
    public static function getDataByCustomerId($id_customer)
    {
        return Db::getInstance()->executeS('
            SELECT *
            FROM `' . _DB_PREFIX_ . 'addifyregistrationfieldsdata` WHERE id_customer = ' . (int) $id_customer);
    }


    public static function getDataForCustomer()
    {
        return Db::getInstance()->executeS('
            SELECT *
            FROM `' . _DB_PREFIX_ . 'addifyregistrationfieldsdata`');
    }






}
