/**
 * 2022 Addify
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Addify
 *  @copyright 2022 Addify
 *  @license   http://opensource.org/licenses/afl-3.0.php
 */
$("#customer-form").attr("enctype", "multipart/form-data");
$(document).ready(function () {
    arf_setSwitchValue();
    arf_depend_fields();
});
$(document).ajaxComplete(function () {
    arf_depend_fields();
});
$(document).on('change', "#arf_registration_fields_id", function () {
    arf_depend_fields();
});
function arf_depend_fields() {
    for (var i = 0; i < getrules.length; i++) {
        if (getrules[i]['enable_dependent_field'] == 1) {
            for (var m = 0; m < getrules.length; m++) {
                if (getrules[i]['dependent_field'] == getrules[m]['id']) {
                    var field_id = getrules[m]['id'];
                    var field_name = getrules[m]['field_name'];
                    if (getrules[m]['field_type'] == 'select') {
                        if (document.getElementById(field_name + field_id)) {
                            var field_value = document.getElementById(field_name + field_id).value;
                            if (getrules[i]['dependent_value'] == field_value) {
                                $("#arf_reg_form_field_" + getrules[i]['id']).show();
                                $("#" + getrules[i]['field_name'] + getrules[i]['id']).attr("required", true);
                            }
                            else {
                                $("#" + getrules[i]['field_name'] + getrules[i]['id']).val('');
                                $("#" + getrules[i]['field_name'] + getrules[i]['id']).removeAttr('required');
                                $("#arf_reg_form_field_" + getrules[i]['id']).hide();
                            }
                        }
                    }
                    else if (getrules[m]['field_type'] == 'checkbox') {
                        var acof_all_select = document.getElementsByClassName("arf_all_" + field_id);
                        for (var k = 0; k < acof_all_select.length; k++) {
                            if (getrules[i]['dependent_value'] == acof_all_select[k].value) {
                                if (acof_all_select[k].checked == true) {
                                    $("#arf_reg_form_field_" + getrules[i]['id']).show();
                                }
                                else {
                                    $("#arf_reg_form_field_" + getrules[i]['id']).hide();
                                }
                            }
                        }
                    }
                    else if (getrules[m]['field_type'] == 'multiselect') {
                        if (document.getElementById(field_name + field_id)) {
                            var option = document.getElementById(field_name + field_id).options;
                            for (var k = 0; k < option.length; k++) {
                                if (getrules[i]['dependent_value'] == option[k].value) {
                                    if (option[k].selected) {
                                        $("#arf_reg_form_field_" + getrules[i]['id']).show();
                                    }
                                    else {
                                        $("#arf_reg_form_field_" + getrules[i]['id']).hide();
                                    }
                                }
                            }
                        }
                    }
                    else if (getrules[m]['field_type'] == 'radio') {
                        var acof_all_select = document.getElementsByClassName("arf_all_" + field_id);
                        for (var k = 0; k < acof_all_select.length; k++) {
                            if (getrules[i]['dependent_value'] == acof_all_select[k].value) {
                                if (acof_all_select[k].checked == true) {
                                    $("#arf_reg_form_field_" + getrules[i]['id']).show();
                                }
                                else {
                                    $("#arf_reg_form_field_" + getrules[i]['id']).hide();
                                }
                            }
                        }
                    }
                }
                else {
                    if (getrules[i]['dependent_field'] === 'none') {
                        $("#arf_reg_form_field_" + getrules[i]['id']).show();
                    }
                }
            }
        }
    }
}
function arf_setSwitchValue() {
    for (var k = 0; k < getrules.length; k++) {
        var field_id = getrules[k]['id'];
        var field_name = getrules[k]['field_name'];
        if (getrules[k]['field_type'] == 'switch') {
            if ($("#" + field_name + field_id).val()) {
            }
            else {
                $("#" + field_name + field_id).val(0);
            }
        }
    }
}
for (var j = 0; j < getrules.length; j++) {
    var field_id = getrules[j]['id'];
    var field_name = getrules[j]['field_name'];
    if (getrules[j]['field_type'] == 'switch') {
        $("#" + field_name + field_id).on('change', function () {
            if ($(this).is(':checked')) {
                $(this).val(1);
            }
            else {
                $(this).val(0);
            }
        });
    }
}
function getregisterationBtn() {
    return (
        '<button type="button" class="btn btn-primary form-control-submit float-xs-right" id="acof-registeration-btn">' +
        "Save" +
        "</button>"
    );
}
if ($("#arf_registration_fields_id").length) {
    let customer_form_id = "#customer-form";
    var acof_registerationBtn = $(customer_form_id).find(".btn.btn-primary.form-control-submit.float-xs-right[type=submit]");
    if (acof_registerationBtn) {
        var acof_overrideregisterationBtn = $(
            getregisterationBtn()
        );
        acof_registerationBtn.hide().after(acof_overrideregisterationBtn);
        acof_overrideregisterationBtn.after(acof_registerationBtn).show();
    }
}
$("#acof-registeration-btn").click(function (event) {
    event.preventDefault();
    if ($("#customer-form").find("#arf_registration_fields_id").length) {
        var all_data_array = [];
        for (var i = 0; i < getrules.length; i++) {
            var rule_id = getrules[i]['id'];
            var field_name = getrules[i]['field_name'];
            if (
                getrules[i]["field_type"] == "text" ||
                getrules[i]["field_type"] == "select" ||
                getrules[i]["field_type"] == "number" ||
                getrules[i]["field_type"] == "switch" ||
                getrules[i]["field_type"] == "textarea" ||
                getrules[i]["field_type"] == "email" ||
                getrules[i]["field_type"] == "date" ||
                getrules[i]["field_type"] == "time" ||
                getrules[i]["field_type"] == "vat_number" ||
                getrules[i]["field_type"] == "color" ||
                getrules[i]["field_type"] == "heading" ||
                getrules[i]["field_type"] == "message"
            ) {
                var field_value = document.getElementById(
                    field_name + rule_id
                ).value;
                all_data_array[i] = [rule_id, field_value];
            } else if (getrules[i]["field_type"] == "hidden") {
                var hiddenField = document.getElementsByName(
                    field_name + rule_id
                )[0];
                all_data_array[i] = [rule_id, hiddenField.value];
            } else if (getrules[i]["field_type"] == "fileupload") {
                var field_value = document.getElementById(
                    field_name + rule_id
                ).value;
                if (!field_value) {
                    field_value = $("#" + field_name + rule_id).attr(
                        "data-file-value"
                    );
                }
                all_data_array[i] = [rule_id, field_value];
            } else if (getrules[i]["field_type"] == "checkbox") {
                var field_value = [];
                var acof_all_select = document.getElementsByClassName(
                    "arf_all_" + rule_id
                );

                for (var k = 0; k < acof_all_select.length; k++) {
                    if (acof_all_select[k].checked == true) {
                        field_value[k] = acof_all_select[k].value;
                    }
                }
                const field_value_Filtered = field_value.filter((el) => {
                    return el != null && el != "";
                });
                field_value = JSON.stringify(field_value_Filtered);
                all_data_array[i] = [rule_id, field_value];
            } else if (getrules[i]["field_type"] == "multiselect") {
                var selected = [];
                var option = document.getElementById(
                    field_name + rule_id
                ).options;
                for (var k = 0; k < option.length; k++) {
                    if (option[k].selected) {
                        selected.push(option[k].value);
                    }
                }
                field_value = JSON.stringify(selected);
                all_data_array[i] = [rule_id, field_value];
            } else if (getrules[i]["field_type"] == "radio") {
                var field_value = "";
                var acof_all_select = document.getElementsByClassName(
                    "arf_all_" + rule_id
                );
                for (var k = 0; k < acof_all_select.length; k++) {
                    if (acof_all_select[k].checked == true) {
                        field_value = acof_all_select[k].value;
                    }
                }
                all_data_array[i] = [rule_id, field_value];
            }

            // else if (getrules[i]["field_type"] == "message") {
            //     var field_value = getrules[i]["display_msg"];
            //     all_data_array[i] = [rule_id, field_value];
            // }

            // else if (getrules[i]["field_type"] == "heading") {
            //     var field_value = getrules[i]["display_msg"];
            //     all_data_array[i] = [rule_id, field_value];
            // }

        }
        if (all_data_array.length != 0) {
            const all_data_array_Filtered = all_data_array.filter((el) => {
                return el != null && el != "";
            });
            final_all_data_array = JSON.stringify(all_data_array_Filtered);
            getregisterationFormOrderDetail(final_all_data_array);
        }
    }
});
function getregisterationFormOrderDetail(final_all_data_array) {

    var form_datas = document.getElementById("customer-form");
    var form_data = new FormData(form_datas);
    form_data.append("all_data_array", final_all_data_array);
    $.ajax({
        url: arf_add_ajax_controller_link, // <-- point to server-side PHP script
        method: "POST",
        data: form_data,
        contentType: false,
        processData: false,
        cache: false,
        success: function (response) {
            if (response) {
                var responseparse = response;
                if (
                    responseparse != "" &&
                    responseparse != null &&
                    responseparse &&
                    responseparse != [] &&
                    responseparse != " "
                ) {
                    // Check if the div exists, if not, create it
                    if ($(".registeration_error").length === 0) {
                        $("#arf_registration_fields_id").before('<div class="registeration_error"></div>');
                    }
                    // Update the content of the div with the new response
                    $(".registeration_error").html(responseparse);
                }
                else {
                    $("#registeration_error").hide();
                    // var acof_registerationoverideBtn = $("#acof-registeration-btn");
                    // acof_registerationoverideBtn.hide();
                    var acof_registerationBtn = $("#customer-form").find(".btn.btn-primary.form-control-submit.float-xs-right[type=submit]");
                    // acof_registerationBtn.show();
                    acof_registerationBtn.click();
                }
            }
            else {
                $("#registeration_error").hide();
                // var acof_registerationoverideBtn = $("#acof-registeration-btn");
                // acof_registerationoverideBtn.hide();
                var acof_registerationBtn = $("#customer-form").find(".btn.btn-primary.form-control-submit.float-xs-right[type=submit]");
                // acof_registerationBtn.show();
                acof_registerationBtn.click();
            }
        },
    });
}
