{**
 * 2007-2023 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2023 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{if isset($databycustomerid) && $databycustomerid}
	<div class="col">
		<div class="card arf-customer-personal-informations-card">
			<h3 class="card-header">
				<i class="material-icons">{l s='person' mod='addifyregistrationfields'}</i>
				{l s='Registration Fields Record' mod='addifyregistrationfields'}
				<!-- <a href="#" class="tooltip-link float-right edit-link" data-placement="top" data-original-title="Edit">
			      <i class="material-icons">{l s='edit' mod='addifyregistrationfields'}</i>
			    </a> -->
			</h3>
			{foreach $databycustomerid as $field_data}
				{if isset($field_data['field_name']) AND $field_data['field_name']}
					<div class="card-body">
						<div class="row mb-1">
							<div class="col-4 text-right">
							{if $field_data['field_label'] != ''}
								{$field_data['field_label']|escape:'htmlall':'UTF-8'}:
							{/if}
							</div>
							<div class="col-8">
								{if $field_data.field_type == 'multiselect' || $field_data.field_type == 'checkbox'}
									{assign var="data__for_options" value=explode(',', $field_data['data__for_options'])}
									{assign var="for_options" value=explode(',', $field_data['field_options'])}
									{foreach $data__for_options as $option}
										{foreach $for_options as $option_data}
											{assign var="option_single" value=explode('->', $option)}
											{assign var="option_value" value=$option_single[0]}
											{assign var="option_label" value=$option_single[1]}
											{if $option_value == $option_data}
												{$option_label}
											{/if}
										{/foreach}
									{/foreach}
								{elseif $field_data.field_type == 'select' || $field_data.field_type == 'radio'}
									{if $field_data.field_value != ''}
										{assign var="options" value=explode(',', $field_data.data__for_options)}
										{foreach $options as $option}
											{assign var="option_single" value=explode('->', $option)}
											{assign var="option_value" value=$option_single[0]}
											{assign var="option_label" value=$option_single[1]}
											{if $field_data.field_value == $option_value}
												{$option_label}
											{/if}
										{/foreach}
									{/if}
								{elseif $field_data['field_type'] == 'color'}
									<input disabled type="color" id="colorPicker" name="colorPicker"
										value="{$field_data['field_value']|escape:'htmlall':'UTF-8'}">

								{elseif $field_data['field_type'] == 'fileupload'}
									<a style="color: blue;"
										href="{$baseurl}modules/addifyregistrationfields/views/uploads/{$field_data['field_value']|escape:'htmlall':'UTF-8'}"
										target="_blank" class="image-link"> <strong>
											{$field_data['field_value']|escape:'htmlall':'UTF-8'} </strong>
									</a>
								{else}
									{$field_data['field_value']|escape:'htmlall':'UTF-8'}
								{/if}
							</div>
						</div>
					</div>
				{/if}
			{/foreach}
		</div>
	</div>
{/if}