{**
 * 2007-2023 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2023 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
<style type="text/css">
    #arf_registration_fields_id {
        margin-top: 0.75rem;
    }
    .plugin-form-section {
        background: #f1f1f1;
        box-shadow: inset 0 2px 5px 0 rgba(0, 0, 0, .11);
        padding-top: 1.563rem;
    }
    .plugin-form {
        width: 100%;
        margin: 0 auto;
        background: #fff;
        padding: 2rem;
        max-width: 640px;
    }
    .plugin-form label {
        font-size: 14px;
        line-height: 24px;
        font-weight: 500;
        /*text-align: right;*/
        color: black;
    }
    .switch {
        position: relative;
        display: inline-block;
        width: 55px;
        height: 25px;
    }
    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }
    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: .4s;
        transition: .4s;
    }
    .slider:before {
        position: absolute;
        content: "";
        height: 18px;
        width: 18px;
        left: 8px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }
    input:checked+.slider {
        background-color: #2196F3;
    }
    input:focus+.slider {
        box-shadow: 0 0 1px #2196F3;
    }
    input:checked+.slider:before {
        -webkit-transform: translateX(26px);
        -ms-transform: translateX(26px);
        transform: translateX(26px);
    }
    .slider.round {
        border-radius: 60px;
    }
    .slider.round:before {
        border-radius: 60%;
    }
    .arf_has_error {
        outline: 0.1875rem solid #ff4c4c;
    }
    .arf_hide {
        display: none;
    }
</style>
    <div class="box card card-block arf_registration_fields" id="arf_registration_fields_id">
        <div id="arf_registration_form_fields">
            {$display_rule = []}
            {foreach $rules_data as $rule_data}
                <!---------------------------------Display Heading -------------------------------------->
                {if $rule_data['field_type'] == 'heading' || $rule_data['field_type'] == 'message'}
                    {if $rule_data['enable_dependent_field'] == '0'}
                        {if $rule_data['field_heading'] != ""}
                            <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                <div class="card-block">
                                    <h1 class="h1">
                                        {$rule_data['field_heading']|escape:'htmlall':'UTF-8'}
                                    </h1>
                                    <input type="hidden" data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                        id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                        name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                        class="form-control" data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                        {if $rule_data['values_req'] eq 1} required {/if}
                                        value="{$rule_data['field_heading']|escape:'htmlall':'UTF-8'}">
                                </div>
                                <hr class="separator">
                            </div>
                        {/if}
                        {if $rule_data['display_msg'] != ""}
                            <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                <label class="col-md-3 form-control-label">
                                    {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                </label>
                                <div class="col-md-6">
                                    <h2>
                                        {$rule_data['display_msg']|escape:'htmlall':'UTF-8'}
                                    </h2>
                                    <input type="hidden" data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                        id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                        name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                        class="form-control" data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                        placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}"
                                        {if $rule_data['values_req'] eq 1} required {/if}
                                        value="{$rule_data['display_msg']|escape:'htmlall':'UTF-8'}">
                                </div>
                            </div>
                        {/if}
                    {else}
                        {if !in_array($rule_data['dependent_field'], $display_rule)}
                            {$display_rule[] = $rule_data['dependent_field']}
                            {foreach $rules_data as $rule_depend_data}
                                {if $rule_data['dependent_field'] ==  $rule_depend_data['id']}
                                    <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                        <!---------------------------------multiselectbox-------------------------------------->
                                        {if $rule_depend_data['field_type'] == 'multiselect'}
                                            <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                <label class="col-md-3 form-control-label">
                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                </label>
                                                <div class="col-md-6">
                                                    <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                        <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                            {/if} multiple="multiple"
                                                            data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                            id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                            name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                            class="form-control" {if $rule_depend_data['values_req'] eq 1} required {/if}>
                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                            {foreach $options as $option}
                                                                {$option_single = explode('->',$option)}
                                                                {$option_value = $option_single[0]}
                                                                {$option_lable = $option_single[1]}
                                                                {if $option_value != ''}
                                                                    {if $option_lable != ''}
                                                                        <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                            {if isset($db_datas) AND $db_datas} 
                                                                                {foreach from=$db_datas item=db_data}
                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                        {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                            {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                    {/if}
                                                                                {/if}
                                                                            {/foreach}
                                                                        </select>
                                                                    </div>
                                                                    <div class="help-block arf_hide"
                                                                        id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                        <ul>
                                                                            <li class="alert alert-danger">
                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                        </ul>
                                                                    </div>
                                                                    <span class="form-control-comment">
                                                                        {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                    </span>
                                                                </div>
                                                                {if $rule_depend_data['values_req'] eq 0}
                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                {/if}
                                                            </div>
                                                        {/if}
                                                        <!---------------------------------Display Message-------------------------------------->
                                                        <!---------------------------------selectbox-------------------------------------->
                                                        {if $rule_depend_data['field_type'] == 'select'}
                                                            <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                <label class="col-md-3 form-control-label">
                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                </label>
                                                                <div class="col-md-6">
                                                                    <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                        <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                            {/if} data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                            id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                            name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                            class="form-control" autocomplete="off" {if $rule_depend_data['values_req'] eq 1}
                                                                            required {/if}>
                                                                            {$option_flag = 0}
                                                                            {if !isset($db_datas) AND !$db_datas}
                                                                                {foreach from=$db_datas item=db_data}
                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                        {if $db_data['field_value'] eq $option_value}
                                                                                            {$option_flag = 1}
                                                                                        {/if}
                                                                                    {/if}
                                                                                {/foreach}
                                                                            {/if}
                                                                            {if $option_flag eq 0}
                                                                                <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                            {/if}
                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                            {foreach $options as $option}
                                                                                {$option_single = explode('->',$option)}
                                                                                {$option_value = $option_single[0]}
                                                                                {$option_lable = $option_single[1]}
                                                                                {if $option_value != ''}
                                                                                    {if $option_lable != ''}
                                                                                        <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                            {if isset($db_datas) AND $db_datas} 
                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                        {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                {/if}
                                                                                            {/if}
                                                                                        {/foreach}
                                                                                    </select>
                                                                                </div>
                                                                                <div class="help-block arf_hide"
                                                                                    id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                    <ul>
                                                                                        <li class="alert alert-danger">
                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                    </ul>
                                                                                </div>
                                                                                <span class="form-control-comment">
                                                                                    {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                </span>
                                                                            </div>
                                                                            {if $rule_depend_data['values_req'] eq 0}
                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                            {/if}
                                                                        </div>
                                                                    {/if}
                                                                    <!---------------------------------checkbox-------------------------------------->
                                                                    {if $rule_depend_data['field_type'] == 'checkbox'}
                                                                        <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                            <label class="col-md-3 form-control-label">
                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                            </label>
                                                                            <div class="col-md-6">
                                                                                <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                    {foreach $options as $optionkey => $option}
                                                                                        {$option_single = explode('->',$option)}
                                                                                        {$option_value = $option_single[0]}
                                                                                        {$option_lable = $option_single[1]}
                                                                                        <div class="form-check">
                                                                                            {if $option_value != ''}
                                                                                                {if $option_lable != ''}
                                                                                                    <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                        {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                        data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                        class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                        id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                        name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                        value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                            {foreach from=$db_datas item=db_data} 
                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                    {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                        {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                    <label class="form-check-label">
                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                    </label>
                                                                                                                {/if}
                                                                                                            {/if}
                                                                                                        </div>
                                                                                                    {/foreach}
                                                                                                </div>
                                                                                                <div class="help-block arf_hide"
                                                                                                    id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                    <ul>
                                                                                                        <li class="alert alert-danger">
                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                    </ul>
                                                                                                </div>
                                                                                                <p class="form-control-comment">
                                                                                                    {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                </p>
                                                                                            </div>
                                                                                            {if $rule_depend_data['values_req'] eq 0}
                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                            {/if}
                                                                                        </div>
                                                                                    {/if}
                                                                                    <!---------------------------------radiobutton-------------------------------------->
                                                                                    {if $rule_depend_data['field_type'] == 'radio'}
                                                                                        <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                            <label class="col-md-3 form-control-label">
                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                            </label>
                                                                                            <div class="col-md-6">
                                                                                                <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                    {foreach $options as $optionkey => $option}
                                                                                                        {$option_single = explode('->',$option)}
                                                                                                        {$option_value = $option_single[0]}
                                                                                                        {$option_lable = $option_single[1]}
                                                                                                        <div class="form-check">
                                                                                                            {if $option_value != ''}
                                                                                                                {if $option_lable != ''}
                                                                                                                    <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                        {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                        data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                        class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                        id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                        name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                        value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                        {if $rule_depend_data['values_req'] eq 1} required {/if}
                                                                                                                        {if isset($db_datas) AND $db_datas} 
                                                                                                                            {foreach from=$db_datas item=db_data}
                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                    {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                <label class="form-check-label">
                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                </label>
                                                                                                                            {/if}
                                                                                                                        {/if}
                                                                                                                    </div>
                                                                                                                {/foreach}
                                                                                                            </div>
                                                                                                            <div class="help-block arf_hide"
                                                                                                                id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                <ul>
                                                                                                                    <li class="alert alert-danger">
                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                </ul>
                                                                                                            </div>
                                                                                                            <p class="form-control-comment">
                                                                                                                {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                            </p>
                                                                                                        </div>
                                                                                                        {if $rule_depend_data['values_req'] eq 0}
                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                        {/if}
                                                                                                    </div>
                                                                                                {/if}
                                                                                            </div>
                                                                                        {/if}
                                                                                    {/foreach}
                                                                                {/if}
                                                                                {* <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                    <div class="card-block">
                                                                                        <h3 class="">
                                                                                            {$rule_data['display_msg']|escape:'htmlall':'UTF-8'}
                                                                                        </h3>
                                                                                    </div>
                                                                                    <hr class="separator">
                                                                                </div>
                                                                            </div> *}
                                                                                <!---------------------------------heading and message-------------------------------------->
                                                                                <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                    {if $rule_data['field_heading'] != ""}
                                                                                        <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                            <div class="card-block">
                                                                                                <h1 class="h1">
                                                                                                    {$rule_data['field_heading']|escape:'htmlall':'UTF-8'}
                                                                                                </h1>
                                                                                                <input type="hidden" data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                    id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                    name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                    class="form-control"
                                                                                                    data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                                                                                    {if $rule_data['values_req'] eq 1} required {/if}
                                                                                                    value="{$rule_data['field_heading']|escape:'htmlall':'UTF-8'}">
                                                                                            </div>
                                                                                            <hr class="separator">
                                                                                        </div>
                                                                                    {/if}
                                                                                    {if $rule_data['display_msg'] != ""}
                                                                                        <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                            <label class="col-md-3 form-control-label">
                                                                                                {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                            </label>
                                                                                            <div class="col-md-6">
                                                                                                <h2>
                                                                                                    {$rule_data['display_msg']|escape:'htmlall':'UTF-8'}
                                                                                                </h2>
                                                                                                <input type="hidden" data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                    id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                    name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                    class="form-control"
                                                                                                    data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                                                                                    placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}"
                                                                                                    {if $rule_data['values_req'] eq 1} required {/if}
                                                                                                    value="{$rule_data['display_msg']|escape:'htmlall':'UTF-8'}">
                                                                                            </div>
                                                                                        </div>
                                                                                    {/if}
                                                                                </div>
                                                                            {/if}
                                                                        {/if}
                                                                        <!---------------------------------general field types-------------------------------------->
                                                                        {if $rule_data['field_type'] == 'text' || $rule_data['field_type'] == 'email' || $rule_data['field_type'] == 'date' || $rule_data['field_type'] == 'time'}
                                                                            {if $rule_data['enable_dependent_field'] == '0'}
                                                                                <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                    <label class="col-md-3 form-control-label">
                                                                                        {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                    </label>
                                                                                    <div class="col-md-6">
                                                                                        <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                            <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                class="form-control"
                                                                                                data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                                                                                placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}"
                                                                                                {if $rule_data['values_req'] eq 1} required {/if}
                                                                                                value="{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}">
                                                                                        </div>
                                                                                        <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                            <ul>
                                                                                                <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                            </ul>
                                                                                        </div>
                                                                                        <div class="help-block arf_hide" id="arf_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                            <ul>
                                                                                                <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                    {l s='is invalid.' mod='addifyregistrationfields'}</li>
                                                                                            </ul>
                                                                                        </div>
                                                                                        <span class="form-control-comment">
                                                                                            {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                        </span>
                                                                                    </div>
                                                                                    {if $rule_data['values_req'] eq 0}
                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                    {/if}
                                                                                </div>
                                                                            {else}
                                                                                {if !in_array($rule_data['dependent_field'], $display_rule)}
                                                                                    {$display_rule[] = $rule_data['dependent_field']}
                                                                                    {foreach $rules_data as $rule_depend_data}
                                                                                        {if $rule_data['dependent_field'] ==  $rule_depend_data['id']}
                                                                                            <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                <!---------------------------------multiselectbox-------------------------------------->
                                                                                                {if $rule_depend_data['field_type'] == 'multiselect'}
                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                        </label>
                                                                                                        <div class="col-md-6">
                                                                                                            <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                    {/if} multiple="multiple"
                                                                                                                    data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                    id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                    name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                    class="form-control" {if $rule_depend_data['values_req'] eq 1} required {/if}>
                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                    {foreach $options as $option}
                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                        {if $option_value != ''}
                                                                                                                            {if $option_lable != ''}
                                                                                                                                <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                    {if isset($db_datas) AND $db_datas} 
                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                    {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                            {/if}
                                                                                                                                        {/if}
                                                                                                                                    {/foreach}
                                                                                                                                </select>
                                                                                                                            </div>
                                                                                                                            <div class="help-block arf_hide"
                                                                                                                                id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                <ul>
                                                                                                                                    <li class="alert alert-danger">
                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                </ul>
                                                                                                                            </div>
                                                                                                                            <span class="form-control-comment">
                                                                                                                                {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                            </span>
                                                                                                                        </div>
                                                                                                                        {if $rule_depend_data['values_req'] eq 0}
                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                        {/if}
                                                                                                                    </div>
                                                                                                                {/if}
                                                                                                                <!---------------------------------selectbox-------------------------------------->
                                                                                                                {if $rule_depend_data['field_type'] == 'select'}
                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                        </label>
                                                                                                                        <div class="col-md-6">
                                                                                                                            <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                    {/if} data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                    id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                    name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                    class="form-control" autocomplete="off" {if $rule_depend_data['values_req'] eq 1}
                                                                                                                                    required {/if}>
                                                                                                                                    {$option_flag = 0}
                                                                                                                                    {if !isset($db_datas) AND !$db_datas}
                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                {if $db_data['field_value'] eq $option_value}
                                                                                                                                                    {$option_flag = 1}
                                                                                                                                                {/if}
                                                                                                                                            {/if}
                                                                                                                                        {/foreach}
                                                                                                                                    {/if}
                                                                                                                                    {if $option_flag eq 0}
                                                                                                                                        <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                    {/if}
                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                    {foreach $options as $option}
                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                        {if $option_value != ''}
                                                                                                                                            {if $option_lable != ''}
                                                                                                                                                <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                    {if isset($db_datas) AND $db_datas} 
                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                        {/if}
                                                                                                                                                    {/if}
                                                                                                                                                {/foreach}
                                                                                                                                            </select>
                                                                                                                                        </div>
                                                                                                                                        <div class="help-block arf_hide"
                                                                                                                                            id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                            <ul>
                                                                                                                                                <li class="alert alert-danger">
                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                            </ul>
                                                                                                                                        </div>
                                                                                                                                        <span class="form-control-comment">
                                                                                                                                            {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                        </span>
                                                                                                                                    </div>
                                                                                                                                    {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                    {/if}
                                                                                                                                </div>
                                                                                                                            {/if}
                                                                                                                            <!---------------------------------checkbox-------------------------------------->
                                                                                                                            {if $rule_depend_data['field_type'] == 'checkbox'}
                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                    </label>
                                                                                                                                    <div class="col-md-6">
                                                                                                                                        <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                            {foreach $options as $optionkey => $option}
                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                <div class="form-check">
                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                    {foreach from=$db_datas item=db_data} 
                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                            {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                            <label class="form-check-label">
                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                            </label>
                                                                                                                                                                        {/if}
                                                                                                                                                                    {/if}
                                                                                                                                                                </div>
                                                                                                                                                            {/foreach}
                                                                                                                                                        </div>
                                                                                                                                                        <div class="help-block arf_hide"
                                                                                                                                                            id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                            <ul>
                                                                                                                                                                <li class="alert alert-danger">
                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                            </ul>
                                                                                                                                                        </div>
                                                                                                                                                        <p class="form-control-comment">
                                                                                                                                                            {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                        </p>
                                                                                                                                                    </div>
                                                                                                                                                    {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                    {/if}
                                                                                                                                                </div>
                                                                                                                                            {/if}
                                                                                                                                            <!---------------------------------radiobutton-------------------------------------->
                                                                                                                                            {if $rule_depend_data['field_type'] == 'radio'}
                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                    </label>
                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                        <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                            {foreach $options as $optionkey => $option}
                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                <div class="form-check">
                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                    {foreach from=$db_datas item=db_data}
                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                            {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                        <label class="form-check-label">
                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                        </label>
                                                                                                                                                                                    {/if}
                                                                                                                                                                                {/if}
                                                                                                                                                                            </div>
                                                                                                                                                                        {/foreach}
                                                                                                                                                                    </div>
                                                                                                                                                                    <div class="help-block arf_hide"
                                                                                                                                                                        id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                        <ul>
                                                                                                                                                                            <li class="alert alert-danger">
                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                        </ul>
                                                                                                                                                                    </div>
                                                                                                                                                                    <p class="form-control-comment">
                                                                                                                                                                        {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                    </p>
                                                                                                                                                                </div>
                                                                                                                                                                {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                {/if}
                                                                                                                                                            </div>
                                                                                                                                                        {/if}
                                                                                                                                                    </div>
                                                                                                                                                {/if}
                                                                                                                                            {/foreach}
                                                                                                                                        {/if}
                                                                                                                                        <div id="arf_reg_form_field_{$rule_data['id']|escape:'htmlall':'UTF-8'}" class="arf_hide">
                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                    {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                </label>
                                                                                                                                                <div class="col-md-6">
                                                                                                                                                    <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                        <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                            type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                            data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                            id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                            name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                            class="form-control"
                                                                                                                                                            data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                            placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                            {if $rule_data['values_req'] eq 1} required {/if}
                                                                                                                                                            value="{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}">
                                                                                                                                                    </div>
                                                                                                                                                    <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                        <ul>
                                                                                                                                                            <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                        </ul>
                                                                                                                                                    </div>
                                                                                                                                                    <div class="help-block arf_hide" id="arf_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                        <ul>
                                                                                                                                                            <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                {l s='is invalid.' mod='addifyregistrationfields'}</li>
                                                                                                                                                        </ul>
                                                                                                                                                    </div>
                                                                                                                                                    <span class="form-control-comment">
                                                                                                                                                        {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                    </span>
                                                                                                                                                </div>
                                                                                                                                                {if $rule_data['values_req'] eq 0}
                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                {/if}
                                                                                                                                            </div>
                                                                                                                                        </div>
                                                                                                                                    {/if}
                                                                                                                                {/if}
                                                                                                                                <!---------------------------------Number-------------------------------------->
                                                                                                                                {if $rule_data['field_type'] == 'number'}
                                                                                                                                    {if $rule_data['enable_dependent_field'] == '0'}
                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                            </label>
                                                                                                                                            <div class="col-md-6">
                                                                                                                                                <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                    <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                        type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                        data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                        id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                        name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                        class="form-control" step="any"
                                                                                                                                                        data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                        placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                        {if $rule_data['values_req'] eq 1} required {/if}
                                                                                                                                                        value="{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}">
                                                                                                                                                </div>
                                                                                                                                                <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                    <ul>
                                                                                                                                                        <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                    </ul>
                                                                                                                                                </div>
                                                                                                                                                <div class="help-block arf_hide" id="arf_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                    <ul>
                                                                                                                                                        <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                            {l s='is invalid.' mod='addifyregistrationfields'}</li>
                                                                                                                                                    </ul>
                                                                                                                                                </div>
                                                                                                                                                <span class="form-control-comment">
                                                                                                                                                    {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                </span>
                                                                                                                                            </div>
                                                                                                                                            {if $rule_data['values_req'] eq 0}
                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                            {/if}
                                                                                                                                        </div>
                                                                                                                                    {else}
                                                                                                                                        {if !in_array($rule_data['dependent_field'], $display_rule)}
                                                                                                                                            {$display_rule[] = $rule_data['dependent_field']}
                                                                                                                                            {foreach $rules_data as $rule_depend_data}
                                                                                                                                                {if $rule_data['dependent_field'] ==  $rule_depend_data['id']}
                                                                                                                                                    <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                        <!---------------------------------multiselectbox-------------------------------------->
                                                                                                                                                        {if $rule_depend_data['field_type'] == 'multiselect'}
                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                </label>
                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                    <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                        <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                            {/if} multiple="multiple"
                                                                                                                                                                            data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                            id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                            name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                            class="form-control" {if $rule_depend_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                            {foreach $options as $option}
                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                {if $option_value != ''}
                                                                                                                                                                                    {if $option_lable != ''}
                                                                                                                                                                                        <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                            {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                        {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                            {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                {/if}
                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                        </select>
                                                                                                                                                                                    </div>
                                                                                                                                                                                    <div class="help-block arf_hide"
                                                                                                                                                                                        id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                        <ul>
                                                                                                                                                                                            <li class="alert alert-danger">
                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                        </ul>
                                                                                                                                                                                    </div>
                                                                                                                                                                                    <span class="form-control-comment">
                                                                                                                                                                                        {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                    </span>
                                                                                                                                                                                </div>
                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                {/if}
                                                                                                                                                                            </div>
                                                                                                                                                                        {/if}
                                                                                                                                                                        <!---------------------------------selectbox-------------------------------------->
                                                                                                                                                                        {if $rule_depend_data['field_type'] == 'select'}
                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                </label>
                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                    <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                        <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                            {/if} data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                            id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                            name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                            class="form-control" autocomplete="off" {if $rule_depend_data['values_req'] eq 1}
                                                                                                                                                                                            required {/if}>
                                                                                                                                                                                            {$option_flag = 0}
                                                                                                                                                                                            {if !isset($db_datas) AND !$db_datas}
                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                        {if $db_data['field_value'] eq $option_value}
                                                                                                                                                                                                            {$option_flag = 1}
                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                            {/if}
                                                                                                                                                                                            {if $option_flag eq 0}
                                                                                                                                                                                                <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                                                                            {/if}
                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                            {foreach $options as $option}
                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                {if $option_value != ''}
                                                                                                                                                                                                    {if $option_lable != ''}
                                                                                                                                                                                                        <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                            {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                        {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                    </select>
                                                                                                                                                                                                </div>
                                                                                                                                                                                                <div class="help-block arf_hide"
                                                                                                                                                                                                    id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                        <li class="alert alert-danger">
                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                </div>
                                                                                                                                                                                                <span class="form-control-comment">
                                                                                                                                                                                                    {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                </span>
                                                                                                                                                                                            </div>
                                                                                                                                                                                            {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                            {/if}
                                                                                                                                                                                        </div>
                                                                                                                                                                                    {/if}
                                                                                                                                                                                    <!---------------------------------checkbox-------------------------------------->
                                                                                                                                                                                    {if $rule_depend_data['field_type'] == 'checkbox'}
                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                            </label>
                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                    {foreach $options as $optionkey => $option}
                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                        <div class="form-check">
                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                    <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                        {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                        data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                        class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                        id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                        name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                        value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                    {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                        {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                    <label class="form-check-label">
                                                                                                                                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                <div class="help-block arf_hide"
                                                                                                                                                                                                                    id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                        <li class="alert alert-danger">
                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                <p class="form-control-comment">
                                                                                                                                                                                                                    {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                </p>
                                                                                                                                                                                                            </div>
                                                                                                                                                                                                            {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                        </div>
                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                    <!---------------------------------radiobutton-------------------------------------->
                                                                                                                                                                                                    {if $rule_depend_data['field_type'] == 'radio'}
                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                            </label>
                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                    {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                        <div class="form-check">
                                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                                    <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                        {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                        data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                        class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                        id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                        name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                        value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                        {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                    {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                <label class="form-check-label">
                                                                                                                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                            <div class="help-block arf_hide"
                                                                                                                                                                                                                                id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                    <li class="alert alert-danger">
                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                            <p class="form-control-comment">
                                                                                                                                                                                                                                {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                            </p>
                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                            </div>
                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                {/if}
                                                                                                                                                                                                <div id="arf_reg_form_field_{$rule_data['id']|escape:'htmlall':'UTF-8'}" class="arf_hide">
                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                        </label>
                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                            <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                    type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                    data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                    id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                    name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                    class="form-control" step="any"
                                                                                                                                                                                                                    data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                    placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                    {if $rule_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                    value="{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}">
                                                                                                                                                                                                            </div>
                                                                                                                                                                                                            <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                    <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                            </div>
                                                                                                                                                                                                            <div class="help-block arf_hide" id="arf_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                    <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                        {l s='is invalid.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                            </div>
                                                                                                                                                                                                            <span class="form-control-comment">
                                                                                                                                                                                                                {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                            </span>
                                                                                                                                                                                                        </div>
                                                                                                                                                                                                        {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                    </div>
                                                                                                                                                                                                </div>
                                                                                                                                                                                            {/if}
                                                                                                                                                                                        {/if}
                                                                                                                                                                                        <!---------------------------------VAT Number-------------------------------------->
                                                                                                                                                                                        {if $rule_data['field_type'] == 'vat_number'}
                                                                                                                                                                                            {if $rule_data['enable_dependent_field'] == '0'}
                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                        {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                    </label>
                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                        <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                type="text" data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                class="form-control"
                                                                                                                                                                                                                data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                {if $rule_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                value="{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}">
                                                                                                                                                                                                        </div>
                                                                                                                                                                                                        <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                        </div>
                                                                                                                                                                                                        <div class="help-block arf_hide" id="arf_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                    {l s='is invalid.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                        </div>
                                                                                                                                                                                                        <span class="form-control-comment">
                                                                                                                                                                                                            {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                        </span>
                                                                                                                                                                                                    </div>
                                                                                                                                                                                                    {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                </div>
                                                                                                                                                                                            {else}
                                                                                                                                                                                                {if !in_array($rule_data['dependent_field'], $display_rule)}
                                                                                                                                                                                                    {$display_rule[] = $rule_data['dependent_field']}
                                                                                                                                                                                                    {foreach $rules_data as $rule_depend_data}
                                                                                                                                                                                                        {if $rule_data['dependent_field'] ==  $rule_depend_data['id']}
                                                                                                                                                                                                            <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                <!---------------------------------multiselectbox-------------------------------------->
                                                                                                                                                                                                                {if $rule_depend_data['field_type'] == 'multiselect'}
                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                            <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                    {/if} multiple="multiple"
                                                                                                                                                                                                                                    data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                    id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                    name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                    class="form-control" {if $rule_depend_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                    {foreach $options as $option}
                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                        {if $option_value != ''}
                                                                                                                                                                                                                                            {if $option_lable != ''}
                                                                                                                                                                                                                                                <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                    {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                    {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                </select>
                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                            <div class="help-block arf_hide"
                                                                                                                                                                                                                                                id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                    <li class="alert alert-danger">
                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                            <span class="form-control-comment">
                                                                                                                                                                                                                                                {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                            </span>
                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                <!---------------------------------selectbox-------------------------------------->
                                                                                                                                                                                                                                {if $rule_depend_data['field_type'] == 'select'}
                                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                                            <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                    {/if} data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                    id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                    name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                    class="form-control" autocomplete="off" {if $rule_depend_data['values_req'] eq 1}
                                                                                                                                                                                                                                                    required {/if}>
                                                                                                                                                                                                                                                    {$option_flag = 0}
                                                                                                                                                                                                                                                    {if !isset($db_datas) AND !$db_datas}
                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                {if $db_data['field_value'] eq $option_value}
                                                                                                                                                                                                                                                                    {$option_flag = 1}
                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                    {if $option_flag eq 0}
                                                                                                                                                                                                                                                        <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                    {foreach $options as $option}
                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                        {if $option_value != ''}
                                                                                                                                                                                                                                                            {if $option_lable != ''}
                                                                                                                                                                                                                                                                <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                    {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                            </select>
                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                        <div class="help-block arf_hide"
                                                                                                                                                                                                                                                            id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                <li class="alert alert-danger">
                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                        <span class="form-control-comment">
                                                                                                                                                                                                                                                            {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                        </span>
                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                    {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                            <!---------------------------------checkbox-------------------------------------->
                                                                                                                                                                                                                                            {if $rule_depend_data['field_type'] == 'checkbox'}
                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                        <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                            {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                <div class="form-check">
                                                                                                                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                            {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                            <label class="form-check-label">
                                                                                                                                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                        <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                            id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                        <p class="form-control-comment">
                                                                                                                                                                                                                                                                            {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                        </p>
                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                    {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                            <!---------------------------------radiobutton-------------------------------------->
                                                                                                                                                                                                                                                            {if $rule_depend_data['field_type'] == 'radio'}
                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                        <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                            {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                <div class="form-check">
                                                                                                                                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                                                {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                            {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                        <label class="form-check-label">
                                                                                                                                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                        id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                            <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                    <p class="form-control-comment">
                                                                                                                                                                                                                                                                                        {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                    </p>
                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                        <div id="arf_reg_form_field_{$rule_data['id']|escape:'htmlall':'UTF-8'}" class="arf_hide">
                                                                                                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                    {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                                                                                                    <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                        <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                            type="text" data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                            id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                            name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                            class="form-control"
                                                                                                                                                                                                                                                                            data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                            placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                            {if $rule_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                            value="{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}">
                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                    <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                            <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                    <div class="help-block arf_hide" id="arf_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                            <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                {l s='is invalid.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                    <span class="form-control-comment">
                                                                                                                                                                                                                                                                        {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                    </span>
                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                <!---------------------------------color field-------------------------------------->
                                                                                                                                                                                                                                                {if $rule_data['field_type'] == 'color'}
                                                                                                                                                                                                                                                    {if $rule_data['enable_dependent_field'] == '0'}
                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                    type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                    data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                    id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                    name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                    data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                    placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                    {if $rule_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                    value="{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}">
                                                                                                                                                                                                                                                                <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                        <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                <div class="help-block arf_hide" id="arf_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                        <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                            {l s='is invalid.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                <p class="form-control-comment">
                                                                                                                                                                                                                                                                    {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                </p>
                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                            {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                    {else}
                                                                                                                                                                                                                                                        {if !in_array($rule_data['dependent_field'], $display_rule)}
                                                                                                                                                                                                                                                            {$display_rule[] = $rule_data['dependent_field']}
                                                                                                                                                                                                                                                            {foreach $rules_data as $rule_depend_data}
                                                                                                                                                                                                                                                                {if $rule_data['dependent_field'] ==  $rule_depend_data['id']}
                                                                                                                                                                                                                                                                    <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                        <!---------------------------------multiselectbox-------------------------------------->
                                                                                                                                                                                                                                                                        {if $rule_depend_data['field_type'] == 'multiselect'}
                                                                                                                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                                                                                                                    <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                        <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                            {/if} multiple="multiple"
                                                                                                                                                                                                                                                                                            data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                            id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                            name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                            class="form-control" {if $rule_depend_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                            {foreach $options as $option}
                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                {if $option_value != ''}
                                                                                                                                                                                                                                                                                                    {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                        <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                            {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                        {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                            {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                        </select>
                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                        id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                    <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                        {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                    </span>
                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                        <!---------------------------------selectbox-------------------------------------->
                                                                                                                                                                                                                                                                                        {if $rule_depend_data['field_type'] == 'select'}
                                                                                                                                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                                                                                                                                    <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                        <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                            {/if} data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                            id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                            name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                            class="form-control" autocomplete="off" {if $rule_depend_data['values_req'] eq 1}
                                                                                                                                                                                                                                                                                                            required {/if}>
                                                                                                                                                                                                                                                                                                            {$option_flag = 0}
                                                                                                                                                                                                                                                                                                            {if !isset($db_datas) AND !$db_datas}
                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                        {if $db_data['field_value'] eq $option_value}
                                                                                                                                                                                                                                                                                                                            {$option_flag = 1}
                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                            {if $option_flag eq 0}
                                                                                                                                                                                                                                                                                                                <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                            {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                    {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                        <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                            {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                        {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                    </select>
                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                    id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                                                                        <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                </span>
                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                    <!---------------------------------checkbox-------------------------------------->
                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['field_type'] == 'checkbox'}
                                                                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                    {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                        <div class="form-check">
                                                                                                                                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                    <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                        {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                        data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                        class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                        id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                        name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                        value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                    {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                        {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                    <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                    id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                                                                                        <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                </p>
                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                    <!---------------------------------radiobutton-------------------------------------->
                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['field_type'] == 'radio'}
                                                                                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                    {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                        <div class="form-check">
                                                                                                                                                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                    <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                        {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                        data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                        class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                        id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                        name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                        value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                                                                                                        {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                            <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                            </p>
                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                <div id="arf_reg_form_field_{$rule_data['id']|escape:'htmlall':'UTF-8'}" class="arf_hide">
                                                                                                                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                {if $rule_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                                                                                value="{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}">
                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide" id="arf_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                        {l s='is invalid.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                            <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                            </p>
                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                        {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                        <!---------------------------------textarea-------------------------------------->
                                                                                                                                                                                                                                                                                                        {if $rule_data['field_type'] == 'textarea'}
                                                                                                                                                                                                                                                                                                            {if $rule_data['enable_dependent_field'] == '0'}
                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                        {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                            <textarea {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                class="form-control"
                                                                                                                                                                                                                                                                                                                                data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}" autocomplete="off"
                                                                                                                                                                                                                                                                                                                                {if $rule_data['values_req'] eq 1} required
                                                                                                                                                                                                                                                                                                                                    {/if}>{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}</textarea>
                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide" id="arf_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                        {l s='is invalid.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                            <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                            </span>
                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                        {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                {else}
                                                                                                                                                                                                                                                                                                                    {if !in_array($rule_data['dependent_field'], $display_rule)}
                                                                                                                                                                                                                                                                                                                        {$display_rule[] = $rule_data['dependent_field']}
                                                                                                                                                                                                                                                                                                                        {foreach $rules_data as $rule_depend_data}
                                                                                                                                                                                                                                                                                                                            {if $rule_data['dependent_field'] ==  $rule_depend_data['id']}
                                                                                                                                                                                                                                                                                                                                <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                    <!---------------------------------multiselectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['field_type'] == 'multiselect'}
                                                                                                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                    <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                        {/if} multiple="multiple"
                                                                                                                                                                                                                                                                                                                                                        data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                        id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                        name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                        class="form-control" {if $rule_depend_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                                                                                                                                                                                                        {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                        {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                            {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                            {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                            {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                    <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                        {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                    {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                    </select>
                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                    id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                                                                                                                        <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                </span>
                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                    <!---------------------------------selectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['field_type'] == 'select'}
                                                                                                                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                    <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                        {/if} data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                        id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                        name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                        class="form-control" autocomplete="off" {if $rule_depend_data['values_req'] eq 1}
                                                                                                                                                                                                                                                                                                                                                                        required {/if}>
                                                                                                                                                                                                                                                                                                                                                                        {$option_flag = 0}
                                                                                                                                                                                                                                                                                                                                                                        {if !isset($db_datas) AND !$db_datas}
                                                                                                                                                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['field_value'] eq $option_value}
                                                                                                                                                                                                                                                                                                                                                                                        {$option_flag = 1}
                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                        {if $option_flag eq 0}
                                                                                                                                                                                                                                                                                                                                                                            <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                        {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                        {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                            {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                            {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                            {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                    <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                        {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                </select>
                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                            <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                            </span>
                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                <!---------------------------------checkbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['field_type'] == 'checkbox'}
                                                                                                                                                                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                            <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                    {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                    {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                    <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                            {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                    {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                    data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                    class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                    id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                    name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                    value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                            <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                            </p>
                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                <!---------------------------------radiobutton-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['field_type'] == 'radio'}
                                                                                                                                                                                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                            <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                    {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                    {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                    <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                    {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                    data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                    class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                    id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                    name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                    value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                    {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                        <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                            id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                        <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                        </p>
                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                            <div id="arf_reg_form_field_{$rule_data['id']|escape:'htmlall':'UTF-8'}" class="arf_hide">
                                                                                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                        {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                            <textarea {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                class="form-control"
                                                                                                                                                                                                                                                                                                                                                                                                data-validate="{$rule_data['field_validation']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}" autocomplete="off"
                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_data['values_req'] eq 1} required
                                                                                                                                                                                                                                                                                                                                                                                                    {/if}>{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}</textarea>
                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide" id="arf_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                        {l s='is invalid.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                            <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                            </span>
                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                        <!--------------------------------file upload/download--------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                        {if $rule_data['field_type'] == 'fileupload'}
                                                                                                                                                                                                                                                                                                                                                                            {if $rule_data['enable_dependent_field'] == '0'}
                                                                                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                        {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                type="file" data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                class="form-control" {if $rule_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                                                                                                                                                data-file-value="{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}">
                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                        <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                        <div class="help-block arf_hide" id="arf_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                    id="validate_exists_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                    {l s='Sorry, file already exists.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                    id="validate_size_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                    {l s='Sorry, your file is too large.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                    id="validate_format_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                    {l s='Sorry, that type of file is not allowed.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                    id="validate_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                    {l s='Sorry, there was an error uploading your file.' mod='addifyregistrationfields'}
                                                                                                                                                                                                                                                                                                                                                                                                </li>
                                                                                                                                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                        <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                            {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                        </span>
                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                            {else}
                                                                                                                                                                                                                                                                                                                                                                                {if !in_array($rule_data['dependent_field'], $display_rule)}
                                                                                                                                                                                                                                                                                                                                                                                    {$display_rule[] = $rule_data['dependent_field']}
                                                                                                                                                                                                                                                                                                                                                                                    {foreach $rules_data as $rule_depend_data}
                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_data['dependent_field'] ==  $rule_depend_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                            <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                <!---------------------------------multiselectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['field_type'] == 'multiselect'}
                                                                                                                                                                                                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                            <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                    {/if} multiple="multiple"
                                                                                                                                                                                                                                                                                                                                                                                                                    data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                    id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                    name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                    class="form-control" {if $rule_depend_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                    {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                </select>
                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                            <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                            </span>
                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                <!---------------------------------selectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['field_type'] == 'select'}
                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                            <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if} data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                    id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                    name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                    class="form-control" autocomplete="off" {if $rule_depend_data['values_req'] eq 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                    required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_flag = 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                    {if !isset($db_datas) AND !$db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['field_value'] eq $option_value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_flag = 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_flag eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                        <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                            </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                            id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                        <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                        </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                            <!---------------------------------checkbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['field_type'] == 'checkbox'}
                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                        <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                        </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                            <!---------------------------------radiobutton-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['field_type'] == 'radio'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="arf_reg_form_field_{$rule_data['id']|escape:'htmlall':'UTF-8'}" class="arf_hide">
                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                        <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                            type="file" data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                            name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                            class="form-control" {if $rule_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                            data-file-value="{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide" id="arf_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="validate_exists_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='Sorry, file already exists.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="validate_size_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='Sorry, your file is too large.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="validate_format_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='Sorry, that type of file is not allowed.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="validate_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='Sorry, there was an error uploading your file.' mod='addifyregistrationfields'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                            </li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                    <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                    </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                <!---------------------------------switch-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_data['field_type'] == 'switch'}
                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_data['enable_dependent_field'] == '0'}
                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                <label class="switch form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                    <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                        type="checkbox" data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                        name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                        value="{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{if $db_data['field_value'] == '1'}checked{/if}{/if}{/foreach}{/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                    <span class="slider round" id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}"></span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                        <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                    {else}
                                                                                                                                                                                                                                                                                                                                                                                                                                        {if !in_array($rule_data['dependent_field'], $display_rule)}
                                                                                                                                                                                                                                                                                                                                                                                                                                            {$display_rule[] = $rule_data['dependent_field']}
                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $rules_data as $rule_depend_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_data['dependent_field'] ==  $rule_depend_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                        <!---------------------------------multiselectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['field_type'] == 'multiselect'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if} multiple="multiple"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            class="form-control" {if $rule_depend_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <!---------------------------------selectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['field_type'] == 'select'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if} data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            class="form-control" autocomplete="off" {if $rule_depend_data['values_req'] eq 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_flag = 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if !isset($db_datas) AND !$db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['field_value'] eq $option_value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_flag = 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_flag eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <!---------------------------------checkbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['field_type'] == 'checkbox'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <!---------------------------------radiobutton-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['field_type'] == 'radio'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div id="arf_reg_form_field_{$rule_data['id']|escape:'htmlall':'UTF-8'}" class="arf_hide">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="switch form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    type="checkbox" data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    value="{if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{$db_data['field_value']|escape:'htmlall':'UTF-8'}{/if}{/foreach}{/if}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if isset($db_datas) AND $db_datas}{foreach from=$db_datas item=db_data}{if $db_data['id_rule'] eq $rule_data['id']}{if $db_data['field_value'] == '1'}checked{/if}{/if}{/foreach}{/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <span class="slider round" id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}"></span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if isset($remain_fields) AND $remain_fields}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if in_array($rule_data['id'], $remain_fields)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <!---------------------------------multiselectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_data['field_type'] == 'multiselect'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_data['enable_dependent_field'] == '0'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <select {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        multiple="multiple" data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        class="form-control" {if $rule_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$options = explode(',',$rule_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <option value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {else}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if !in_array($rule_data['dependent_field'], $display_rule)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$display_rule[] = $rule_data['dependent_field']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $rules_data as $rule_depend_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_data['dependent_field'] ==  $rule_depend_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <!---------------------------------multiselectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['field_type'] == 'multiselect'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if} multiple="multiple"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            class="form-control" {if $rule_depend_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <!---------------------------------selectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['field_type'] == 'select'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if} data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            class="form-control" autocomplete="off" {if $rule_depend_data['values_req'] eq 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_flag = 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if !isset($db_datas) AND !$db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['field_value'] eq $option_value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_flag = 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_flag eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <!---------------------------------checkbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['field_type'] == 'checkbox'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <!---------------------------------radiobutton-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['field_type'] == 'radio'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div id="arf_reg_form_field_{$rule_data['id']|escape:'htmlall':'UTF-8'}" class="arf_hide">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <select {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    multiple="multiple" data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    class="form-control" {if $rule_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <!---------------------------------selectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_data['field_type'] == 'select'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_data['enable_dependent_field'] == '0'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <select {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                class="form-control" autocomplete="off" {if $rule_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_flag = 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if !isset($db_datas) AND !$db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['field_value'] eq $option_value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_flag = 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_flag eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$options = explode(',',$rule_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <option value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {else}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if !in_array($rule_data['dependent_field'], $display_rule)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$display_rule[] = $rule_data['dependent_field']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach $rules_data as $rule_depend_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_data['dependent_field'] ==  $rule_depend_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <!---------------------------------multiselectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['field_type'] == 'multiselect'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if} multiple="multiple"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                class="form-control" {if $rule_depend_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <!---------------------------------selectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['field_type'] == 'select'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if} data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                class="form-control" autocomplete="off" {if $rule_depend_data['values_req'] eq 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_flag = 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if !isset($db_datas) AND !$db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['field_value'] eq $option_value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_flag = 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_flag eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <!---------------------------------checkbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['field_type'] == 'checkbox'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <!---------------------------------radiobutton-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['field_type'] == 'radio'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div id="arf_reg_form_field_{$rule_data['id']|escape:'htmlall':'UTF-8'}" class="arf_hide">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <select {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        class="form-control" autocomplete="off" {if $rule_data['values_req'] eq 1} required
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_flag = 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if !isset($db_datas) AND !$db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['field_value'] eq $option_value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_flag = 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_flag eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$options = explode(',',$rule_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <!---------------------------------checkbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_data['field_type'] == 'checkbox'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_data['enable_dependent_field'] == '0'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                class="arf_all_{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {else}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if !in_array($rule_data['dependent_field'], $display_rule)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$display_rule[] = $rule_data['dependent_field']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $rules_data as $rule_depend_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_data['dependent_field'] ==  $rule_depend_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <!---------------------------------multiselectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['field_type'] == 'multiselect'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if} multiple="multiple"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    class="form-control" {if $rule_depend_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <!---------------------------------selectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['field_type'] == 'select'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if} data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    class="form-control" autocomplete="off" {if $rule_depend_data['values_req'] eq 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_flag = 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if !isset($db_datas) AND !$db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['field_value'] eq $option_value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_flag = 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_flag eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <!---------------------------------checkbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['field_type'] == 'checkbox'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <!---------------------------------radiobutton-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['field_type'] == 'radio'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="arf_reg_form_field_{$rule_data['id']|escape:'htmlall':'UTF-8'}" class="arf_hide">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$options = explode(',',$rule_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            class="arf_all_{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            value="{$option_value|escape:'htmlall':'UTF-8'}" {if $rule_data['values_req'] eq 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                required {/if} {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <!---------------------------------radiobutton-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_data['field_type'] == 'radio'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_data['enable_dependent_field'] == '0'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        class="arf_all_{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        value="{$option_value|escape:'htmlall':'UTF-8'}" {if $rule_data['values_req'] eq 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            required {/if} {if isset($db_datas) AND $db_datas} {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {else}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if !in_array($rule_data['dependent_field'], $display_rule)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$display_rule[] = $rule_data['dependent_field']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $rules_data as $rule_depend_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_data['dependent_field'] ==  $rule_depend_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div id="arf_depend_registration_form_fields_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <!---------------------------------multiselectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['field_type'] == 'multiselect'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if} multiple="multiple"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    class="form-control" {if $rule_depend_data['values_req'] eq 1} required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value == $value} selected {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <!---------------------------------selectbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['field_type'] == 'select'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <select {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if} data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    class="form-control" autocomplete="off" {if $rule_depend_data['values_req'] eq 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    required {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_flag = 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if !isset($db_datas) AND !$db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['field_value'] eq $option_value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$option_flag = 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_flag eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <option value="">{l s='Choose Option' mod='addifyregistrationfields'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach $options as $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <option value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $db_data['field_value'] eq $option_value} selected {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}</option>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </select>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <span class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </span>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <!---------------------------------checkbox-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['field_type'] == 'checkbox'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}[]"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                value="{$option_value|escape:'htmlall':'UTF-8'}" {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$values = explode(',',$db_data['field_options'])} {foreach $values as $value}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value == $value} checked {/if} {/foreach} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <!---------------------------------radiobutton-------------------------------------->
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_depend_data['field_type'] == 'radio'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-group row arf_rule" data-id="{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="outline_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$options = explode(',',$rule_depend_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <input {if $customer_loggedin == 1 && $rule_depend_data['users_to_edit'] == 0} disabled
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if} type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                data-type="{$rule_depend_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                class="arf_all_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                id="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                name="{$rule_depend_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                value="{$option_value|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 1} required {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if isset($db_datas) AND $db_datas} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {foreach from=$db_datas item=db_data}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="help-block arf_hide"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        id="arf_req_error_{$rule_depend_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <li class="alert alert-danger">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {$rule_depend_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$rule_depend_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $rule_depend_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <div id="arf_reg_form_field_{$rule_data['id']|escape:'htmlall':'UTF-8'}" class="arf_hide">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-group row arf_rule" data-id="{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <label class="col-md-3 form-control-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-6">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <div id="outline_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$options = explode(',',$rule_data['options'])}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {foreach $options as $optionkey => $option}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_single = explode('->',$option)}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_value = $option_single[0]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {$option_lable = $option_single[1]}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div class="form-check">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {if $option_value != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $option_lable != ''}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <input {if $customer_loggedin == 1 && $rule_data['users_to_edit'] == 0} disabled {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            class="arf_all_{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id']|escape:'htmlall':'UTF-8'}"
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            value="{$option_value|escape:'htmlall':'UTF-8'}" {if $rule_data['values_req'] eq 1}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                required {/if} {if isset($db_datas) AND $db_datas}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {foreach from=$db_datas item=db_data} 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {if $db_data['id_rule'] eq $rule_data['id']}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {if $db_data['field_value'] eq $option_value} checked {/if} {/if} {/foreach} {/if}>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <label class="form-check-label">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {$option_lable|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </label>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="help-block arf_hide" id="arf_req_error_{$rule_data['id']|escape:'htmlall':'UTF-8'}">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    <ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        <li class="alert alert-danger">{$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {l s='is required.' mod='addifyregistrationfields'}</li>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </ul>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <p class="form-control-comment">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {$rule_data['short_description']|escape:'htmlall':'UTF-8'}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                </p>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {if $rule_data['values_req'] eq 0}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyregistrationfields'}</div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    {/if}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {/foreach}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                <br>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                {hook h='displayGDPRConsent' id_module=$id_module}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <div style="clear:both;"></div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        </div>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    